Subject: Re: bug#33260: [Shepherd] ERROR: In procedure stat: No such file or directory: "/run/user/30011/shepherd

From: swedebugia <[email-masked]>
Date: Wed, 7 Nov 2018 18:13:07 +0100

Hi

Output as requested below.

On 2018-11-07 17:36, Ludovic Courtès wrote:
> Hello,
>
> swedebugia <[email-masked]> skribis:
>
>> On 2018-11-06 15:03, Ludovic Courtès wrote:
> [...]
>
>>> I do!  I run ‘shepherd’ as non-root on GuixSD, and I don’t have the
>>> above file-not-found issue.  On GuixSD, /run/user/UID is created as
>>> expected, and I suspect it’s the same on most other GNU/Linux distros
>>> these days.
>>>
>>> swedebugia, what distribution are you using?  On GuixSD, 30011 is a UID
>>> that would be allocated to one of the build users, which cannot “log in”.
>> GuixSD VM image in Qemu on parabola.
>>
>> sdb@komputilo ~$ guix --version
>> guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (v0.15)
>>
>> $ which shepherd
>> /run/current-system/profile/bin/shepherd
>>
>> sdb@komputilo ~$ readlink -f $(which shepherd)
>> /gnu/store/fwc1nkcc0hfyr1d9snpbvfss4pz4ycrw-shepherd-0.4.0/bin/shepherd
> What does ‘id’ return?
sdb@komputilo ~$ id
uid=30011(sdb) gid=998(users) 
groups=998(users),991(audio),992(video),999(wheel)

> What about: ‘herd status | grep logind’?

No output

sdb@komputilo ~$ sudo herd status |grep logind

> Does /run/user exist?

No

sdb@komputilo ~$ ls -l /run/
total 12
drwxr-xr-x 2 root root 4096 Nov  3 23:31 blkid/
lrwxrwxrwx 1 root root   50 Nov  7 17:26 booted-system -> 
/gnu/store/lsh1rgl4dkpy3pk1ndckcmd64lmgq4f1-system
lrwxrwxrwx 1 root root   50 Nov  7 17:26 current-system -> 
/gnu/store/lsh1rgl4dkpy3pk1ndckcmd64lmgq4f1-system
drwxr-xr-x 2 root root 4096 Nov  7 17:26 setuid-programs/
drwxr-xr-x 6 root root 4096 Nov  7 17:26 udev/

> Thanks in advance,
Thank you for taking a look. :)

-- 
Cheers
Swedebugia